Subject: Re: linux-next: manual merge of the xfs tree with Linus' tree

From: "Darrick J. Wong" <[email-masked]>
Date: Tue, 18 Jan 2022 10:17:34 -0800

On Tue, Jan 18, 2022 at 09:30:41AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the xfs tree got a conflict in:
> 
>   fs/xfs/xfs_ioctl.c
> 
> between commit:
> 
>   983d8e60f508 ("xfs: map unwritten blocks in XFS_IOC_{ALLOC,FREE}SP just like fallocate")
> 
> from Linus' tree and commit:
> 
>   4d1b97f9ce7c ("xfs: kill the XFS_IOC_{ALLOC,FREE}SP* ioctls")
> 
> from the xfs tree.
> 
> I fixed it up (the latter removed the code modified by the former, so I
> did that) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

Ok, thanks!  The resolution you picked (delete xfs_ioc_space regardless
of its contents) is exactly what I was expecting.

--D

> -- 
> Cheers,
> Stephen Rothwell